## g10k 0.9.7

=== Makefile ===
DEPS = $(wildcard */*.go)
BUILDVERSION = $(shell git describe --tags)
BUILDTIME = $(shell date -u '+%Y-%m-%d_%H:%M:%S')
UNAME := $(shell uname)

all: test g10k

g10k: g10k.go $(DEPS)
# -race flag is currently removed because of issues in OS X Monterey. Should be solved above go version 1.17.6
ifeq ($(UNAME), Darwin)
	GO111MODULE=on CGO_ENABLED=1 GOOS=darwin go build \
		-ldflags "-s -w -X main.buildversion=${BUILDVERSION} -X main.buildtime=${BUILDTIME}" \
	-o $@
	strip -X $@
endif
ifeq ($(UNAME), Linux)
	GO111MODULE=on CGO_ENABLED=1 GOOS=linux go build \
		-race -ldflags "-s -w -X main.buildversion=${BUILDVERSION} -X main.buildtime=${BUILDTIME}" \
	-o $@
	strip $@
endif

lint:
	GO111MODULE=on go install golang.org/x/lint/golint@latest && \
	golint *.go

vet: g10k.go
	GO111MODULE=on go vet

imports: g10k.go
	GO111MODULE=on go install golang.org/x/tools/cmd/goimports@latest && \
	goimports -d *.go tests/

test: lint vet imports
# This is a workaround for Bug https://github.com/golang/go/issues/49138
ifeq ($(UNAME), Darwin)
	GO111MODULE=on MallocNanoZone=0 go test -race -coverprofile=coverage.txt -covermode=atomic -v
endif
ifeq ($(UNAME), Linux)
	GO111MODULE=on go test -race -coverprofile=coverage.txt -covermode=atomic -v
endif

clean:
	rm -rf g10k coverage.txt cache example

build-image:
	docker build -t g10k:${BUILDVERSION} .

update-deps:
	GO111MODULE=on go get -u
	GO111MODULE=on go mod vendor

.PHONY: all lint vet imports test clean

## g10k 0.5.7

=== debian/changelog ===
g10k (0.5.7-1) unstable; urgency=medium

  * Initial release (Closes: #909245)

 -- Jack Henschel <jackdev@mailbox.org>  Thu, 24 Jan 2019 10:00:00 +0200

=== debian/control ===
Source: g10k
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jack Henschel <jackdev@mailbox.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-davecgh-go-spew-dev,
               golang-github-fatih-color-dev,
               golang-github-gosuri-uilive-dev,
               golang-github-gosuri-uiprogress-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-remeh-sizedwaitgroup-dev,
               golang-github-tidwall-gjson-dev,
               golang-github-tidwall-match-dev,
               golang-github-xorpaul-uiprogress-dev,
               golang-golang-x-crypto-dev,
               golang-yaml.v2-dev,
               pandoc,
Standards-Version: 4.3.0
Homepage: https://github.com/xorpaul/g10k
Vcs-Browser: https://salsa.debian.org/go-team/packages/g10k
Vcs-Git: https://salsa.debian.org/go-team/packages/g10k.git
XS-Go-Import-Path: github.com/xorpaul/g10k
Testsuite: autopkgtest-pkg-go

Package: g10k
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         git
Description: Puppet environment and module deployment
 g10k provides a general purpose toolset for deploying Puppet
 environments and modules. It implements the Puppetfile format and
 provides a native implementation of Puppet dynamic environments.
 g10k is a rewrite of puppetlabs/r10k in Go with additional
 optimizations such as:
 - caching support
 - distinct SSH keys for each source
 - parallel cloning and checkout
 - enhanced Puppetfile options
 It only supports Forge modules and Git repositories.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_GOLANG_INSTALL_EXTRA := tests/

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	dh_auto_build
	# update version number in manpage
	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
	sed -e "s/__VERSION__/$(DEB_VERSION_UPSTREAM)/g" < debian/g10k.1.md.in > debian/g10k.1.md
	# build custom manpages from markdown
	pandoc debian/g10k.1.md -s -f markdown -t man -o debian/g10k.1

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/g10k-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/xorpaul/g10k/tags .*/v?(\d\S*)\.tar\.gz

## g10k 0.9.3

=== debian/changelog ===
g10k (0.9.3-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * Team upload
  * new upstream release
  * rewrite network skip test with testing.Skip()

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.1, no changes needed.

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 29 Oct 2022 15:00:24 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jack Henschel <jackdev@mailbox.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-davecgh-go-spew-dev,
@@ -19,12 +19,11 @@
                golang-golang-x-crypto-dev,
                golang-yaml.v2-dev,
                pandoc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/xorpaul/g10k
 Vcs-Browser: https://salsa.debian.org/go-team/packages/g10k
 Vcs-Git: https://salsa.debian.org/go-team/packages/g10k.git
 XS-Go-Import-Path: github.com/xorpaul/g10k
-Testsuite: autopkgtest-pkg-go
 
 Package: g10k
 Architecture: any

## g10k 0.9.7

=== debian/changelog ===
g10k (0.9.7-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 15:13:30 +1000

g10k (0.9.7-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 30 Oct 2024 10:58:19 +0100

g10k (0.9.7-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 08:55:14 +0530

g10k (0.9.7-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:02 +1200

g10k (0.9.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix lintian warnings:
    * spell-check manual page
    * fix NEWS file syntax

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 01 Feb 2023 10:20:52 -0500

g10k (0.9.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove lintian warning about upstream typos (fixed)
  * Fix list syntax in d/control

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 26 Jan 2023 12:43:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: g10k
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jack Henschel <jackdev@mailbox.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -37,8 +38,10 @@
  provides a native implementation of Puppet dynamic environments.
  g10k is a rewrite of puppetlabs/r10k in Go with additional
  optimizations such as:
- - caching support
- - distinct SSH keys for each source
- - parallel cloning and checkout
- - enhanced Puppetfile options
+ .
+  - caching support
+  - distinct SSH keys for each source
+  - parallel cloning and checkout
+  - enhanced Puppetfile options
+ .
  It only supports Forge modules and Git repositories.

## g10k 0.9.9

=== debian/changelog ===
g10k (0.9.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Apr 2024 21:26:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: g10k
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jack Henschel <jackdev@mailbox.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,

=== debian/rules ===
--- 
+++ 
@@ -18,5 +18,8 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
+override_dh_auto_test:
+	echo "most tests use the network, skipping test suite"
+
 %:
 	dh $@ --buildsystem=golang --with=golang

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         @builddeps@,
         ca-certificates,
         hashdeep,
         openssh-client
Restrictions: allow-stderr, needs-internet

## g10k 0.9.10

=== Makefile ===
DEPS = $(wildcard */*.go)
BUILDVERSION = $(shell git describe --tags)
BUILDTIME = $(shell date -u '+%Y-%m-%d_%H:%M:%S')
UNAME := $(shell uname)

all: test g10k

g10k: g10k.go $(DEPS)
# -race flag is currently removed because of issues in OS X Monterey. Should be solved above go version 1.17.6
ifeq ($(UNAME), Darwin)
	CGO_ENABLED=1 GOOS=darwin go build \
		-ldflags "-s -w -X main.buildversion=${BUILDVERSION} -X main.buildtime=${BUILDTIME}" \
	-o $@
	strip -X $@
endif
ifeq ($(UNAME), Linux)
	CGO_ENABLED=1 GOOS=linux go build \
		-race -ldflags "-s -w -X main.buildversion=${BUILDVERSION} -X main.buildtime=${BUILDTIME}" \
	-o $@
	strip $@
endif

lint:
	go install golang.org/x/lint/golint@latest && \
	golint *.go

vet: g10k.go
	go vet

imports: g10k.go
	go install golang.org/x/tools/cmd/goimports@latest && \
	goimports -d *.go tests/

test: lint vet imports
# This is a workaround for Bug https://github.com/golang/go/issues/49138
ifeq ($(UNAME), Darwin)
	MallocNanoZone=0 go test -race -coverprofile=coverage.txt -covermode=atomic -v
endif
ifeq ($(UNAME), Linux)
	go test -race -coverprofile=coverage.txt -covermode=atomic -v ./...
endif

clean:
	rm -rf g10k coverage.txt cache example

build-image:
	docker build -t g10k:${BUILDVERSION} .

update-deps:
	go get -u
	go mod vendor

.PHONY: all lint vet imports test clean

=== debian/changelog ===
g10k (0.9.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass -race to dh_auto_build only on supported archs (Closes: #1095672)
  * Pass through Static-Built-Using.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 13 Apr 2025 23:36:25 +0200

g10k (0.9.10-1) unstable; urgency=medium

  * new upstream release (Closes: #1093015)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 19 Feb 2025 10:11:43 -0500

g10k (0.9.9-3) unstable; urgency=medium

  * No-source change to rebuild against Golang 1.24

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 13 Feb 2025 15:38:28 -0500

g10k (0.9.9-2) unstable; urgency=medium

  * Team upload
  * Fix -version flag output, not actually a solution for #1093015, but
    brings our flags closer to upstream.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 09 Feb 2025 14:28:07 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jack Henschel <jackdev@mailbox.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any,
+               golang-1.24-go, golang-src (>= 1.24),
                golang-github-davecgh-go-spew-dev,
                golang-github-fatih-color-dev,
                golang-github-gosuri-uilive-dev,
@@ -28,6 +28,7 @@
 Package: g10k
 Architecture: any
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          git

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,21 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
 export DH_GOLANG_INSTALL_EXTRA := tests/
+
+ifneq ($(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el s390x),)
+RACE:=-race
+else
+RACE:=
+endif
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- $(RACE) -ldflags "-X main.buildversion=$(DEB_VERSION_UPSTREAM) -X main.buildtime=$(SOURCE_DATE_EPOCH)"
 	# update version number in manpage
 	@echo DEB_VERSION_UPSTREAM $(DEB_VERSION_UPSTREAM)
 	sed -e "s/__VERSION__/$(DEB_VERSION_UPSTREAM)/g" < debian/g10k.1.md.in > debian/g10k.1.md
